Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIResource

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITransient
                  org.richfaces.component.UIResource

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    public class UIResource

extends UITransient

Author:
  asmirnov@exadel.com

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIResource(javax.faces.component.UIComponent parent, String name, String library)`

Method Summary
`protected Object` | `getAttribute(Object key)`
`String` | `getFamily()`
`String` | `getLibrary()`
`String` | `getName()`
`protected javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`String` | `getRendererType()`
`String` | `getRendererType(javax.faces.context.FacesContext context)`
`protected boolean` | `hasAttribute(Object key)`
`protected Object` | `setAttribute(String key, Object value)`

Methods inherited from class org.richfaces.component.UITransient
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRendersChildren, getValueBinding, getValueExpression, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, clearInitialState, getClientBehaviors, getDefaultEventName, getEventNames, getFacetCount, invokeOnComponent, markInitialState, restoreAttachedState, saveAttachedState, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIResource

    public UIResource(javax.faces.component.UIComponent parent,
                      String name,
                      String library)

Method Detail

### hasAttribute

    protected boolean hasAttribute(Object key)

  Specified by:
    `hasAttribute` in class `UITransient`

### setAttribute

    protected Object setAttribute(String key,
                                  Object value)

  Specified by:
    `setAttribute` in class `UITransient`

### getAttribute

    protected Object getAttribute(Object key)

  Specified by:
    `getAttribute` in class `UITransient`

### getName

    public String getName()

  Returns:
    the name

### getLibrary

    public String getLibrary()

  Returns:
    the library

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `UITransient`

### getRendererType

    public String getRendererType(javax.faces.context.FacesContext context)

### getRenderer

    protected javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Overrides:
    `getRenderer` in class `UITransient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.